* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body {
    background-color: rgb(58, 56, 56);
    color: white;
}

a {
    color: white;
    text-decoration: none;
    margin: 4px
}

header {
    text-align: center;
    font-size: larger;
}

button {
    background-color: rgb(58, 56, 56);
    display: flex;
    justify-items: center;
    align-items: center;
    position: fixed;
    right: 0;
    top: 0;
    margin: 2.5rem;
    height: 48px; 
    width: 48px;
}

.sidebar {
    position: fixed;
    top: 0;
    left: -1000px; 
    width: 250px;
    height: 100%;
    background: #56585a;
    color: white;
    padding: 20px;
    transition: left 0.3s ease;
}

.sidebar.active {
    left: 0;
}

.sidebar a {
    display: block;
    color: white;
    text-decoration: none;
    margin: 15px 0;
}

#menu {
    position: fixed;
    top: 20px;
    left: 20px;
    z-index: 20;
    transition: left 0.3s ease;
}

#menu.active {
    left: 200px; 
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 88vh;
}

footer {
    text-align: center;
}

@media screen and (max-width: 768px) {
    #menu {
        position: fixed;
        top: 10px;
        left: 10px;
        z-index: 20;
        transition: left 0.3s ease;
        height: 20px;
        width: 20px;
    }

    #menu.active {
        left: 30px; 
    }

    body {
        font-size: x-small;
    }

    svg {
        height: 20px;
        width: 20px;
    }

    .sidebar {
        position: fixed;
        top: 0;
        left: -250px; 
        width: 64px;
        height: 100%;
        background: #56585a;
        color: white;
        padding: 20px;
        transition: left 0.3s ease;
        font-size: xx-small;
    }
}